# Contributing to iparq

Thank you for considering contributing to iparq! We're excited to collaborate with you. Here are some guidelines to help you get started:

## How to Contribute

1. **Fork the repository**: Click the "Fork" button at the top right of this page to create a copy of the repository.
2. **Clone your fork**: Use `git clone <your-fork-url>` to clone your forked repository to your local machine.
3. **Create a branch**: Use `git checkout -b <branch-name>` to create a new branch for your changes.
4. **Make your changes**: Make the necessary changes in your local repository.
5. **Commit your changes**: Use `git commit -m "Description of changes"` to commit your changes.
6. **Push your changes**: Use `git push origin <branch-name>` to push your changes to your forked repository.
7. **Create a pull request**: Go to the original repository and create a pull request from your forked repository.

## Guidelines

- **Code of Conduct**: Please adhere to our [Code of Conduct](CODE_OF_CONDUCT.md) to ensure a welcoming and friendly environment.
- **Documentation**: Ensure your code changes are well-documented. Update any relevant documentation in the `docs` folder.
- **Tests**: Include tests for your changes to ensure functionality and avoid regressions.
- **Commit Messages**: Write clear and concise commit messages. Follow the format: `type(scope): message`.

## Reporting Issues

If you encounter any issues or bugs, please open an issue in the repository. Provide as much detail as possible, including steps to reproduce the issue and any relevant logs or screenshots.

## License

By contributing to this project, you agree that your contributions will be licensed under the [MIT License](LICENSE).

Thank you for your contributions and support!

Happy coding!
